> For the complete documentation index, see [llms.txt](https://docs.klai.studio/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.klai.studio/v1/getting-started/integration/next-steps.md).

# Next Steps

By now you should have been able to see how a BetterForms site can interact with your FileMaker solution. Where you go from here depends on the type of app you're building. Browse the [Common Customizations](/v1/getting-started/common-customizations.md) section for additional tips as you're getting started, in addition to the resources listed here on this page:

## Using the Examples

The BetterForms interface comes with a host of example pages that can be helpful to understand how certain elements work, or can be used as a great starting template for your own pages.

You can navigate to the [examples](https://app.fmbetterforms.com/#/examples) in the sidebar of the [BetterForms IDE](https://app.fmbetterforms.com/#/examples). The pages listed here will function just like your own pages except that you cannot edit them. If you want to use an example in your own app, simply duplicate it from the editor page and it will appear among your forms.

## Using Snippets

The most common JSON objects that you will need are stored in the snippets section to the left of the **Schema Editor**. Click the button on the snippet to copy it to your clipboard and paste it in

## Using the Community

BetterForms has a great Slack group where you can ask questions, find answers, and connect with other developers using BetterForms. If you're not already a member, request an invite after logging the dashboard of the [BetterForms IDE](https://app.fmbetterforms.com/#/).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.klai.studio/v1/getting-started/integration/next-steps.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
